cURL
curl --request POST "https://rxresu.me/api/openapi/career/target-roles/suggest" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"providerId": "<string>",
"recipientVersion": "<string>",
"resumeId": "<string>",
"includeKnowledge": true
}'import requests
url = "https://rxresu.me/api/openapi/career/target-roles/suggest"
payload = {
"providerId": "<string>",
"recipientVersion": "<string>",
"resumeId": "<string>",
"includeKnowledge": True,
"locale": "en-US"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
providerId: '<string>',
recipientVersion: '<string>',
resumeId: '<string>',
includeKnowledge: true,
locale: 'en-US'
})
};
fetch('https://rxresu.me/api/openapi/career/target-roles/suggest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/career/target-roles/suggest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'providerId' => '<string>',
'recipientVersion' => '<string>',
'resumeId' => '<string>',
'includeKnowledge' => true,
'locale' => 'en-US'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/career/target-roles/suggest"
payload := strings.NewReader("{\n \"providerId\": \"<string>\",\n \"recipientVersion\": \"<string>\",\n \"resumeId\": \"<string>\",\n \"includeKnowledge\": true,\n \"locale\": \"en-US\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/career/target-roles/suggest")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"providerId\": \"<string>\",\n \"recipientVersion\": \"<string>\",\n \"resumeId\": \"<string>\",\n \"includeKnowledge\": true,\n \"locale\": \"en-US\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/career/target-roles/suggest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"providerId\": \"<string>\",\n \"recipientVersion\": \"<string>\",\n \"resumeId\": \"<string>\",\n \"includeKnowledge\": true,\n \"locale\": \"en-US\"\n}"
response = http.request(request)
puts response.read_body{
"suggestions": [
{
"role": "<string>",
"facts": [
{
"id": "<string>",
"text": "<string>"
}
],
"resumeQuote": "<string>"
}
]
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Career
Suggest editable target roles
Sends only the explicitly selected owned resume and opted-in active shared Knowledge to the selected tested AI provider. Requires recipientVersion from the disclosed aiProviders.list configuration; changed settings return CONFLICT before sending. Returns unsaved suggestions with source quotes for user review. Does not search, schedule, save evidence or apply.
POST
/
career
/
target-roles
/
suggest
cURL
curl --request POST "https://rxresu.me/api/openapi/career/target-roles/suggest" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"providerId": "<string>",
"recipientVersion": "<string>",
"resumeId": "<string>",
"includeKnowledge": true
}'import requests
url = "https://rxresu.me/api/openapi/career/target-roles/suggest"
payload = {
"providerId": "<string>",
"recipientVersion": "<string>",
"resumeId": "<string>",
"includeKnowledge": True,
"locale": "en-US"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
providerId: '<string>',
recipientVersion: '<string>',
resumeId: '<string>',
includeKnowledge: true,
locale: 'en-US'
})
};
fetch('https://rxresu.me/api/openapi/career/target-roles/suggest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/career/target-roles/suggest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'providerId' => '<string>',
'recipientVersion' => '<string>',
'resumeId' => '<string>',
'includeKnowledge' => true,
'locale' => 'en-US'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/career/target-roles/suggest"
payload := strings.NewReader("{\n \"providerId\": \"<string>\",\n \"recipientVersion\": \"<string>\",\n \"resumeId\": \"<string>\",\n \"includeKnowledge\": true,\n \"locale\": \"en-US\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/career/target-roles/suggest")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"providerId\": \"<string>\",\n \"recipientVersion\": \"<string>\",\n \"resumeId\": \"<string>\",\n \"includeKnowledge\": true,\n \"locale\": \"en-US\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/career/target-roles/suggest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"providerId\": \"<string>\",\n \"recipientVersion\": \"<string>\",\n \"resumeId\": \"<string>\",\n \"includeKnowledge\": true,\n \"locale\": \"en-US\"\n}"
response = http.request(request)
puts response.read_body{
"suggestions": [
{
"role": "<string>",
"facts": [
{
"id": "<string>",
"text": "<string>"
}
],
"resumeQuote": "<string>"
}
]
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
apiKeybearerAuthcookieAuth
Body
application/json